Update Loyalty Rule Chain
curl --request POST \
--url https://admin.snagsolutions.io/api/loyalty/rule_chains/{loyaltyRuleChainId} \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"name": "<string>",
"loyaltyRuleId": "123e4567-e89b-12d3-a456-426614174111",
"loyaltyConditions": [
{
"type": "rule",
"loyaltyRuleId": "123e4567-e89b-12d3-a456-426614174111"
}
],
"operatorType": "AND"
}
'import requests
url = "https://admin.snagsolutions.io/api/loyalty/rule_chains/{loyaltyRuleChainId}"
payload = {
"name": "<string>",
"loyaltyRuleId": "123e4567-e89b-12d3-a456-426614174111",
"loyaltyConditions": [
{
"type": "rule",
"loyaltyRuleId": "123e4567-e89b-12d3-a456-426614174111"
}
],
"operatorType": "AND"
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
loyaltyRuleId: '123e4567-e89b-12d3-a456-426614174111',
loyaltyConditions: [{type: 'rule', loyaltyRuleId: '123e4567-e89b-12d3-a456-426614174111'}],
operatorType: 'AND'
})
};
fetch('https://admin.snagsolutions.io/api/loyalty/rule_chains/{loyaltyRuleChainId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {}
}"Forbidden, Could not validate api key"Loyalty
Update Loyalty Rule Chain
Update a loyalty rule chain
POST
/
api
/
loyalty
/
rule_chains
/
{loyaltyRuleChainId}
Update Loyalty Rule Chain
Authorizations
Path Parameters
Body
application/json
Body
Unique identifier for the loyalty rule
Example:
"123e4567-e89b-12d3-a456-426614174111"
Array of conditions for the rule chain
Minimum array length:
1Show child attributes
Show child attributes
Example:
[
{
"type": "rule",
"loyaltyRuleId": "123e4567-e89b-12d3-a456-426614174111"
}
]
Type of the condition. AND if all conditions must be met, OR if any condition can be met.
Available options:
AND, OR Example:
"AND"
Response
200
Was this page helpful?
⌘I